org.apache.xmlbeans

## Interface XmlAnySimpleType

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Subinterfaces:
    XmlAnyURI, XmlBase64Binary, XmlBoolean, XmlByte, XmlDate, XmlDateTime, XmlDecimal, XmlDouble, XmlDuration, XmlENTITIES, XmlENTITY, XmlFloat, XmlGDay, XmlGMonth, XmlGMonthDay, XmlGYear, XmlGYearMonth, XmlHexBinary, XmlID, XmlIDREF, XmlIDREFS, XmlInt, XmlInteger, XmlLanguage, XmlLong, XmlName, XmlNCName, XmlNegativeInteger, XmlNMTOKEN, XmlNMTOKENS, XmlNonNegativeInteger, XmlNonPositiveInteger, XmlNormalizedString, XmlNOTATION, XmlPositiveInteger, XmlQName, XmlShort, XmlString, XmlTime, XmlToken, XmlUnsignedByte, XmlUnsignedInt, XmlUnsignedLong, XmlUnsignedShort

      public interface XmlAnySimpleType
      extends XmlObject

  Corresponds to the XML Schema xs:anySimpleType type.

  All simple types are convertible to `String`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `XmlAnySimpleType.Factory` A class with methods for creating instances of `XmlAnySimpleType`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStringValue()` Returns the value as a `String`
    `void` | `set(java.lang.String s)` Deprecated. replaced by `setStringValue(java.lang.String)`
    `void` | `setStringValue(java.lang.String s)` Sets the value as a `String`
    `java.lang.String` | `stringValue()` Deprecated. replaced by `getStringValue()`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### stringValue

          java.lang.String stringValue()

      Deprecated. replaced by `getStringValue()`
      Returns the value as a `String`

    - #### set

          void set(java.lang.String s)

      Deprecated. replaced by `setStringValue(java.lang.String)`
      Sets the value as a `String`

    - #### getStringValue

          java.lang.String getStringValue()

      Returns the value as a `String`

    - #### setStringValue

          void setStringValue(java.lang.String s)

      Sets the value as a `String`